html {
    box-sizing: border-box;
    background: #e6be8e;
    font-family: 'helvetica neue',sans-serif;
    font-size: 20px;
    font-weight: 200;
}

body {
    margin: 0;
}

*, *:before, *:after {
    box-sizing: inherit;
}

header {
    text-align: center;
    font-size: 5vh;
    font-weight: bold;
    text-shadow: 3px 3px darkgrey;
}

.panels {
    overflow:hidden;
    min-height: 100vh;
    display: flex;
}

.panel {
    background: #6B0F9C;
    box-shadow: inset 0 0 0 5px rgba(255,255,255,0.1);
    color: white;
    text-align: center;
    align-items: center;
    transition:
        font-size 0.7s cubic-bezier(0.61,-0.19,0.7,-0.11),
        flex 0.7s cubic-bezier(0.61, -0.19,0.7,-0.11),
        background 0.2s;
    font-size: 20px;
    background-size: cover;
    background-position: center;
    flex: 1;
    justify-content: center;
    display: flex;
    flex-direction: column;
}

.panel1 {background-image: url("assets/image1.jpg") }
.panel2 {background-image: url("assets/image2.jpg") }
.panel3 {background-image: url("assets/image3.jpg") }
.panel4 {background-image: url("assets/image4.jpg") }
.panel5 {background-image: url("assets/image5.jpg") }


.panel > * {
    margin: 0;
    width: 100%;
    transition: transform 0.5s;
    flex: 1 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
.panel > *:first-child { transform: translateY(-100%)}
.panel.open-active > *:first-child { transform: translateY(0)}
.panel > *:last-child { transform: translateY(100%)}
.panel.open-active > *:last-child { transform: translateY(0)}



.panel p {
    text-transform: uppercase;
    font-family: 'Amatic SC', cursive;
    text-shadow: 0 0 4px rgba(0,0,0,0.72), 0 0 14px rgba(0, 0, 0, 0.45);
    font-size: 2em;
    flex: 1;
}

.panel p:nth-child(2) {
    font-size: 4em;
}

.panel.open {
    flex: 5;
    font-size: 40px;
}

@media only screen and (max-width: 600px) {
    .panel p {
        font-size: 1em;
    }
}